/*
 *	Sherlock Library -- Assertions
 *
 *	(c) 2003 Martin Mares <mj@ucw.cz>
 *
 *	This software may be freely distributed and used according to the terms
 *	of the GNU Lesser General Public License.
 */

#include "lib/lib.h"

#include <stdlib.h>

#ifdef DEBUG
void
assert_failed(char *assertion, char *file, int line)
{
  die("Assertion `%s' failed at %s:%d", assertion, file, line);
  abort();
}
#else
void
assert_failed(void)
{
  die("Internal error: Assertion failed.");
}
#endif
